Checkins API
Auto-generated from the OpenAPI spec. Run
node docs-site/scripts/fetch-openapi.jsto regenerate.
GET /api/v1/checkins/qr/{booking_id}
Generate Qr Code
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
booking_id | path | Yes | integer |
Responses
- 200 — Successful Response
- 422 — Validation Error
GET /api/v1/checkins/class/{class_id}
List Checkins For Class
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
class_id | path | Yes | integer |
Responses
- 200 — Successful Response
- 422 — Validation Error
POST /api/v1/checkins
Create Checkin
Request body
| Field | Required | Type | Description |
|---|---|---|---|
booking_id | No | integer | |
qr_token | No | string | |
method | Yes | string | |
scheduled_class_id | No | integer | |
client_id | No | integer |
Responses
- 201 — Successful Response
- 422 — Validation Error